Skip to main content
OpenAlex data is and will remain available at no cost. Our data snapshot is totally free for bulk download. The API is a freemium service: you get $1 free every day, and after that you pay for what you use. We sell services, not data.

Getting an API Key

To use the API at scale, you need a key. It’s free—just make an account (takes 30 seconds) and copy your key from openalex.org/settings/api. Then add api_key=YOUR_KEY to your API calls:
curl "https://api.openalex.org/works?api_key=YOUR_KEY"

What You Can Do for Free Every Day

Your free API key gives you $1 of free usage every day. With that, you can do a mix of:
ActionCallsResultsExample
Get a single entityUnlimitedUnlimitedLook up a work by DOI
List+filter10,0001,000,000All works from MIT in 2024
Search1,000100,000Full-text search for “CRISPR”
Content download100100 PDFsDownload a paper’s full text
For full details on endpoint pricing, common activity costs, usage limit headers, query limits, and usage tips, see Authentication & Pricing in the API Reference.